Page Summary
-
This endpoint is used to delete an assigned targeting option from a line item.
-
Concurrent requests with other methods updating the same line item are not allowed.
-
YouTube & Partners line items cannot be managed using this API.
-
The request requires advertiser ID, line item ID, targeting type, and assigned targeting option ID as path parameters.
-
The request body is empty, and a successful response body is also an empty JSON object.
Deletes an assigned targeting option from a line item.
Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:
lineItems.bulkEditAssignedTargetingOptionslineItems.bulkUpdatelineItems.patchassignedTargetingOptions.create
YouTube & Partners line items cannot be created or updated using the API.
HTTP request
DELETE https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions/{assignedTargetingOptionId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item the assigned targeting option belongs to. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types include:
|
assignedTargetingOptionId |
Required. The ID of the assigned targeting option to delete. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.